
package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class dbrequestmanager {
    public static RemoteObject myClass;
	public dbrequestmanager() {
	}
    public static PCBA staticBA = new PCBA(null, dbrequestmanager.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _mtarget = RemoteObject.declareNull("Object");
public static RemoteObject _link = RemoteObject.createImmutable("");
public static RemoteObject _bc = RemoteObject.declareNull("anywheresoftware.b4a.agraham.byteconverter.ByteConverter");
public static RemoteObject _t_null = RemoteObject.createImmutable((byte)0);
public static RemoteObject _t_string = RemoteObject.createImmutable((byte)0);
public static RemoteObject _t_short = RemoteObject.createImmutable((byte)0);
public static RemoteObject _t_int = RemoteObject.createImmutable((byte)0);
public static RemoteObject _t_long = RemoteObject.createImmutable((byte)0);
public static RemoteObject _t_float = RemoteObject.createImmutable((byte)0);
public static RemoteObject _t_double = RemoteObject.createImmutable((byte)0);
public static RemoteObject _t_boolean = RemoteObject.createImmutable((byte)0);
public static RemoteObject _t_blob = RemoteObject.createImmutable((byte)0);
public static RemoteObject _version = RemoteObject.createImmutable(0f);
public static RemoteObject _temparray = null;
public static RemoteObject _jobtaganterior = RemoteObject.createImmutable("");
public static RemoteObject _reqslist = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static SHARK2.keymon.com.mx.main _main = null;
public static SHARK2.keymon.com.mx.appupdater _appupdater = null;
public static SHARK2.keymon.com.mx.mapa_cliente _mapa_cliente = null;
public static SHARK2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static SHARK2.keymon.com.mx.notificationservice _notificationservice = null;
public static SHARK2.keymon.com.mx.pendientes _pendientes = null;
public static SHARK2.keymon.com.mx.starter _starter = null;
public static SHARK2.keymon.com.mx.subs _subs = null;
public static SHARK2.keymon.com.mx.tracker _tracker = null;
public static SHARK2.keymon.com.mx.newinst2 _newinst2 = null;
public static SHARK2.keymon.com.mx.b4xpages _b4xpages = null;
public static SHARK2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static SHARK2.keymon.com.mx.httputils2service _httputils2service = null;
public static SHARK2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"bc",_ref.getField(false, "_bc"),"DateUtils",_ref.getField(false, "_dateutils"),"jobTagAnterior",_ref.getField(false, "_jobtaganterior"),"link",_ref.getField(false, "_link"),"mTarget",_ref.getField(false, "_mtarget"),"reqsList",_ref.getField(false, "_reqslist"),"T_BLOB",_ref.getField(false, "_t_blob"),"T_BOOLEAN",_ref.getField(false, "_t_boolean"),"T_DOUBLE",_ref.getField(false, "_t_double"),"T_FLOAT",_ref.getField(false, "_t_float"),"T_INT",_ref.getField(false, "_t_int"),"T_LONG",_ref.getField(false, "_t_long"),"T_NULL",_ref.getField(false, "_t_null"),"T_SHORT",_ref.getField(false, "_t_short"),"T_STRING",_ref.getField(false, "_t_string"),"tempArray",_ref.getField(false, "_temparray"),"VERSION",_ref.getField(false, "_version")};
}
}